import { useState } from 'react';
import { useInitialValue } from 'reakit-utils/hooks';

/**
 * As simple as `React.useState(false)`
 */
function useCheckboxState(initialState) {
  if (initialState === void 0) {
    initialState = {};
  }

  var _useInitialValue = useInitialValue(initialState),
      _useInitialValue$stat = _useInitialValue.state,
      initialValue = _useInitialValue$stat === void 0 ? false : _useInitialValue$stat;

  var _React$useState = useState(initialValue),
      state = _React$useState[0],
      setState = _React$useState[1];

  return {
    state: state,
    setState: setState
  };
}

export { useCheckboxState };
